Ubuntu

linux: 3.5.0-46.70 -proposed tracker

Reported by Steve Conklin on 2014-01-07
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Canonical Hardware Certification
Package-testing
Undecided
Unassigned
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-lbm
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Parameswaran Sivatharman
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-46.70 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 07. January 2014 17:18 UTC
kernel-stable-Certification-testing-end:Wednesday, 08. January 2014 14:02 UTC
kernel-stable-Prepare-package-end:Thursday, 09. January 2014 14:45 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 09. January 2014 14:45 UTC
ppa-package-testing-start:Monday, 27. January 2014 09:01 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 28. January 2014 11:02 UTC
kernel-stable-Security-signoff-start:Tuesday, 28. January 2014 13:02 UTC
kernel-stable-Verification-testing-start:Tuesday, 28. January 2014 13:01 UTC
kernel-stable-Regression-testing-start:Tuesday, 28. January 2014 13:02 UTC
kernel-stable-Regression-testing-end:Monday, 03. February 2014 16:01 UTC
kernel-stable-Verification-testing-end:Tuesday, 11. February 2014 15:01 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 12. February 2014 20:03 UTC
kernel-stable-Security-signoff-end:Wednesday, 12. February 2014 20:03 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 18. February 2014 14:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 18. February 2014 15:05 UTC

CVE References

Steve Conklin (sconklin) on 2014-01-07
tags: added: kernel-release-tracking-bug
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2014-01-08
description: updated
Brad Figg (brad-figg) on 2014-01-08
summary: - linux: 3.5.0-46.69 -proposed tracker
+ linux: 3.5.0-46.70 -proposed tracker
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1267489
linux-armadaxp - bug 1267490
linux-lowlatency - bug 1267492

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1267493

description: updated
Brad Figg (brad-figg) on 2014-01-27
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2014-01-28
description: updated
Brad Figg (brad-figg) on 2014-01-28
description: updated
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-02-03
description: updated
Brad Figg (brad-figg) on 2014-02-11
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-02-12
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (7.6 KiB)

This bug was fixed in the package linux - 3.5.0-46.70

---------------
linux (3.5.0-46.70) quantal; urgency=low

  [ Brad Figg ]

  * UBUNTU: Disable abi and module checking due to broken modules being
    disabled and we have bumped the abi.

linux (3.5.0-46.69) quantal; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1266857

  [ Sergey Popovich ]

  * SAUCE: (no-up) netfilter: xt_hashlimit: fix proc entry leak in netns
    destroy path
    - LP: #1256988

  [ Tim Gardner ]

  * [Config] Enable CONFIG_VT6656
    - LP: #162671

  [ Upstream Kernel Changes ]

  * Revert "ima: policy for RAMFS"
    - LP: #1265562
  * netfilter: xt_recent: fix namespace destroy path
    - LP: #1256988
  * netfilter: xt_hashlimit: fix namespace destroy path
    - LP: #1256988
  * ACPICA: Interpreter: Fix Store() when implicit conversion is not
    possible.
    - LP: #1265562
  * ACPICA: DeRefOf operator: Update to fully resolve FieldUnit and
    BufferField refs.
    - LP: #1265562
  * ACPICA: Return error if DerefOf resolves to a null package element.
    - LP: #1265562
  * ACPICA: Fix for a Store->ArgX when ArgX contains a reference to a
    field.
    - LP: #1265562
  * aacraid: prevent invalid pointer dereference
    - LP: #1265562
  * libertas: potential oops in debugfs
    - LP: #1265562
  * ARM: sa11x0/assabet: ensure CS2 is configured appropriately
    - LP: #1265562
  * dm: allocate buffer for messages with small number of arguments using
    GFP_NOIO
    - LP: #1265562
  * ext4: avoid bh leak in retry path of ext4_expand_extra_isize_ea()
    - LP: #1265562
  * drm/radeon/si: fix define for MC_SEQ_TRAIN_WAKEUP_CNTL
    - LP: #1265562
  * drm/ttm: Handle in-memory region copies
    - LP: #1265562
  * drm/ttm: Fix ttm_bo_move_memcpy
    - LP: #1265562
  * drm/ttm: Fix memory type compatibility check
    - LP: #1265562
  * PM / hibernate: Avoid overflow in hibernate_preallocate_memory()
    - LP: #1265562
  * mtd: nand: hack ONFI for non-power-of-2 dimensions
    - LP: #1265562
  * mtd: map: fixed bug in 64-bit systems
    - LP: #1265562
  * mtd: m25p80: fix allocation size
    - LP: #1265562
  * block: fix race between request completion and timeout handling
    - LP: #1265562
  * blk-core: Fix memory corruption if blkcg_init_queue fails
    - LP: #1265562
  * loop: fix crash if blk_alloc_queue fails
    - LP: #1265562
  * block: fix a probe argument to blk_register_region
    - LP: #1265562
  * block: properly stack underlying max_segment_size to DM device
    - LP: #1265562
  * xen/blkback: fix reference counting
    - LP: #1265562
  * loop: fix crash when using unassigned loop device
    - LP: #1265562
  * SUNRPC: Fix a data corruption issue when retransmitting RPC calls
    - LP: #1265562
  * mtd: gpmi: fix kernel BUG due to racing DMA operations
    - LP: #1265562
  * ALSA: msnd: Avoid duplicated driver name
    - LP: #1265562
  * x86/microcode/amd: Tone down printk(), don't treat a missing firmware
    file as an error
    - LP: #1265562
  * SUNRPC: Avoid deep recursion in rpc_release_client
    - LP: #1265562
  * ALSA: hda - Don't clear the power state at snd_hda_codec_reset()
    - LP: #1265562
  * ASoC: blackfin: Fix missing ...

Read more...

Changed in linux (Ubuntu Quantal):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-02-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers